[package]
name = "hammer-core"
version.workspace = true
edition.workspace = true
license.workspace = true
authors.workspace = true
repository.workspace = true
description = "Tipos compartidos de hammer: Recipe, Swm, hashing CAS y el store."

[dependencies]
anyhow.workspace = true
thiserror.workspace = true
serde.workspace = true
serde_json.workspace = true
serde_yaml.workspace = true
toml.workspace = true
blake3.workspace = true
base64.workspace = true
ed25519-dalek.workspace = true
getrandom.workspace = true

[dev-dependencies]
tempfile.workspace = true
